Summary:	An event system library
Summary(pl.UTF-8):	Biblioteka systemu zdarzeń
Name:		tevent
Version:	0.10.2
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	https://www.samba.org/ftp/tevent/%{name}-%{version}.tar.gz
# Source0-md5:	105c7a4dbb96f1751eb27dfd05e7fa84
URL:		http://tevent.samba.org/
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-talloc-devel >= 2:2.3.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.704
BuildRequires:	talloc-devel >= 2:2.3.0
# tevent 0.10+ dropped python2 support
Obsoletes:	python-tevent
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tevent is an event system based on the talloc memory management
library. It is the core event system used in Samba.

The low level tevent has support for many event types, including
timers, signals, and the classic file descriptor events.

Tevent also provide helpers to deal with asynchronous code providing
the tevent_req (tevent request) functions.

%description -l pl.UTF-8
Tevent to system zdarzeń oparty na bibliotece zarządzającej pamięcią
talloc. Jest to główny system zdarzeń używany w Sambie.

Niskopoziomowo tevent obsługuje wiele rodzajów zdarzeń, w tym
zegary, sygnały i zdarzenia związane z klasycznymi deskryptorami
plików.

Tevent udostępnia także funkcje pomocnicze tevent_req (żądanie tevent)
dla kodu asynchronicznego.

%package devel
Summary:	Header files for tevent library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki tevent
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	talloc-devel >= 2:2.3.0

%description devel
Header files for tevent library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki tevent.

%package -n python3-tevent
Summary:	Python 3 bindings for tevent
Summary(pl.UTF-8):	Interfejs Pythona 3 do tevent
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-talloc >= 2:2.3.0

%description -n python3-tevent
Python 3 bindings for tevent.

%description -n python3-tevent -l pl.UTF-8
Interfejs Pythona 3 do tevent.

%prep
%setup -q

%build
export JOBS=1

CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python3} buildtools/bin/waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtevent.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtevent.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtevent.so
%{_includedir}/tevent.h
%{_pkgconfigdir}/tevent.pc

%files -n python3-tevent
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/_tevent.cpython-*.so
%{py3_sitedir}/tevent.py
%{py3_sitedir}/__pycache__/tevent.cpython-*.py[co]
%changelog
* Mon Dec 16 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tevent.git;a=log;h=master

* Mon Dec 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 142e363
- up to 0.10.2

* Sun Nov 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 542d3ba
- updated talloc dependencies

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 06799e3
- added O for dropped python package
- rel 2

* Wed Oct 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 89b2235
- up to 0.10.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 59de6c5
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Mar 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 429b086
- updated to 0.9.39
- added python3- package

* Tue Aug 21 2018 Jakub Bogusz <qboosh@pld-linux.org> f27fa0d
- updated talloc version

* Sun Aug 19 2018 Marcin Krol <hawk@tld-linux.org> da61d3b
- updated to 0.9.37

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 73bdc09
- updated to 0.9.36

* Wed Nov 15 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 82ac098
- up to 0.9.34

* Tue Jul 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 97c704f
- updated to 0.9.33

* Wed Jan 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 782d2fe
- updated to 0.9.31

* Tue Aug 02 2016 Jakub Bogusz <qboosh@pld-linux.org> c9a1665
- updated to 0.9.29

* Tue Apr 19 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8f70913
- up to 0.9.28

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e1a5df4
- release 2 (by relup.sh)

* Sun Nov 08 2015 Jakub Bogusz <qboosh@pld-linux.org> dfca3be
- updated to 0.9.26

* Fri Jun 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 0c67f1e
- updated to 0.9.25

* Sat May 23 2015 Jakub Bogusz <qboosh@pld-linux.org> b23e518
- disable rpath; release 2

* Thu Mar 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e859d65
- up to 0.9.24

* Mon Mar 02 2015 Jakub Bogusz <qboosh@pld-linux.org> fc0c01b
- updated to 0.9.23

